#!/bin/sh

# A script to fix permissions for lock files on Mac OS X
#
# GH 6 dec 10 dscl remplace par dseditgroup
#
# Contributed by Dmitry Markman <dimitry.markman@verizon.net>
# Fri Aug 23 15:46:46 MDT 2002
# Adapted for RXTX 2.1-7 by LA3HM 30 Jul 2006
# Replaced 'niutil' with 'dscl' for Leopard 

curruser=`sudo id -p | grep 'login' | sed 's/login.//'`

if [ ! -d /var/lock ]
then
sudo mkdir /var/lock
fi

sudo chgrp uucp /var/lock
sudo chmod 775 /var/lock
#if [ ! `sudo niutil -readprop / /groups/uucp users | grep $curruser > /dev/null` ]
dseditgroup -o checkmember -m $curruser uucp
if [ $? != 0 ]
then
#  sudo niutil -mergeprop / /groups/uucp users $curruser
#  sudo dscl . -append /groups/_uucp GroupMembership $curruser
    sudo dseditgroup -o edit -a $curruser  -t user uucp
fi
